Function
partialSum
Computes the partial sum of a sequence.
partialSum(target, source[, parallelTag])
Include Headers
seqan/parallel.h
Parameters

source | A sequence of elements that should be partially summed. Remarks: The sequence alphabet must support the operator+ and conversion from zero.
target | The resulting partial sum. This sequence will have the same length as source and contains at position i the sum of elements source[0], source[1], ..., source[i].
parallelTag | Tag to enable/disable parallelism. Types: Parallel, Serial Default: Serial

Return Values
The sum of all elements in source.
Remarks: The returned value equals the last value in target.
See Also
sum
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58